Package com.fasterxml.jackson.core.format

# Class InputAccessor.Std

java.lang.Object
com.fasterxml.jackson.core.format.InputAccessor.Std

All Implemented Interfaces:
  `InputAccessor`

Enclosing interface:
  InputAccessor

public static class InputAccessor.Std extends Object implements InputAccessor
Basic implementation that reads data from given `InputStream` and buffers it as necessary.

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.format.InputAccessor

`InputAccessor.Std`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final byte[]`
`_buffer`
`protected int`
`_bufferedEnd`
End of valid bytes in the buffer (points to one past last valid)
`protected final int`
`_bufferedStart`
`protected final InputStream`
`_in`
`protected int`
`_ptr`
Pointer to next available buffered byte in `_buffer`.

## Constructor Summary

Constructors
Constructor
Description
`Std(byte[] inputDocument)`
`Std(byte[] inputDocument, int start, int len)`
`Std(InputStream in, byte[] buffer)`

## Method Summary

Modifier and Type
Method
Description
`DataFormatMatcher`
`createMatcher(JsonFactory match, MatchStrength matchStrength)`
`boolean`
`hasMoreBytes()`
Method to call to check if more input is available.
`byte`
`nextByte()`
Returns next byte available, if any; if no more bytes are available, will throw `EOFException`.
`void`
`reset()`
Method that can be called to reset accessor to read from beginning of input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _in

protected final InputStream _in

### _buffer

protected final byte[] _buffer

### _bufferedStart

protected final int _bufferedStart

### _bufferedEnd

protected int _bufferedEnd
End of valid bytes in the buffer (points to one past last valid)

### _ptr

protected int _ptr
Pointer to next available buffered byte in `_buffer`.

## Constructor Details

### Std

public Std(InputStream in, byte[] buffer)

### Std

public Std(byte[] inputDocument)

### Std

public Std(byte[] inputDocument, int start, int len)

## Method Details

### hasMoreBytes

public boolean hasMoreBytes() throws IOException
Description copied from interface: `InputAccessor`
Method to call to check if more input is available. Since this may result in more content to be read (at least one more byte), a `IOException` may get thrown.

Specified by:
  `hasMoreBytes` in interface `InputAccessor`
Returns:
  Whether there is at least one more input byte accessible
Throws:
  `IOException` - If check for more content failed due to issue with underlying input abstraction

### nextByte

public byte nextByte() throws IOException
Description copied from interface: `InputAccessor`
Returns next byte available, if any; if no more bytes are available, will throw `EOFException`.

Specified by:
  `nextByte` in interface `InputAccessor`
Returns:
  Next content byte, if available
Throws:
  `IOException` - If called and there is no more content available

### reset

public void reset()
Description copied from interface: `InputAccessor`
Method that can be called to reset accessor to read from beginning of input.

Specified by:
  `reset` in interface `InputAccessor`

### createMatcher

public DataFormatMatcher createMatcher(JsonFactory match, MatchStrength matchStrength)